<%
  @filter = params[:filter]
  new_filter = params[:new_filter]
  
  if @filter && params[:clear]
    @filter.delete(params[:type])
  elsif @filter && new_filter
    if @filter.has_key?(new_filter[:type]) && @filter[new_filter[:type]].include?(new_filter[:id].to_s)
      @filter[new_filter[:type]].delete(new_filter[:id].to_s)
    elsif @filter.has_key?(new_filter[:type])
      @filter[new_filter[:type]] << new_filter[:id].to_s
    else
      @filter.merge!({new_filter[:type] => [new_filter[:id].to_s]})
    end
  elsif new_filter
    @filter = {new_filter[:type] => [new_filter[:id].to_s]}
  end


  if @user
    @writing_seminars = WritingSeminar.where(:create_user_id => @user.id).page(params[:page]).per(10)
  else
    @writing_seminars = WritingSeminar.all.page(params[:page]).per(10)
  end


%>

<table class="table main-list">
	<thead>
		<tr>
			<th class="span1"><%= t('writing_seminar.year') %></th>
			<th class="span3"><%= t('writing_seminar.title') %></th>
		</tr>
	</thead>
	<tbody id="tbody_writing_seminars" class="sort-holder">
		
		
	<% @writing_seminars.each do |writing_seminar| %>	
			
	<tr id="<%= dom_id writing_seminar %>" class="with_action">
		<td><%= writing_seminar.year %></td>
		<td>
		<%= link_to writing_seminar.create_link, panel_personal_seminar_front_end_writing_seminar_path(writing_seminar) %>
		</td>
	</tr>		
		
	<% end %>	
		
		
	</tbody>
</table>

<%= link_to content_tag(:i, nil, :class => 'icon-plus icon-white') + t('announcement.add_new'), new_panel_personal_seminar_back_end_writing_seminar_path(:user_id => @user.id), :class => 'btn btn-primary pull-right' %>


<div class="form-actions form-fixed pagination-right">
	<%= link_to content_tag(:i, nil, :class => 'icon-plus icon-white') + t('announcement.add_new'), new_panel_personal_seminar_plugin_writing_seminar_path, :class => 'btn btn-primary pull-right' %>
	<div id="writing_seminar_pagination" class="paginationFixed">
	<%= paginate @writing_seminars, :params => {:direction => params[:direction], :sort => params[:sort], :filter => @filter, :new_filter => nil} %>
	</div>
</div>
